Bug 703490 - Add optional seeding from /dev/random in the FIPS mode
Summary: Add optional seeding from /dev/random in the FIPS mode
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libgcrypt   
(Show other bugs)
Version: 6.2
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Tomas Mraz
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Keywords: FutureFeature, ZStream
Depends On: 700388
Blocks: RHEL62CCC 846801 846802
TreeView+ depends on / blocked
 
Reported: 2011-05-10 14:06 UTC by RHEL Product and Program Management
Modified: 2012-08-08 18:29 UTC (History)
11 users (show)

Fixed In Version: libgcrypt-1.4.5-5.el6_1.1
Doc Type: Enhancement
Doc Text:
In FIPS mode, libgcrypt can now use a configurable source of RNG (Random Number Generator) seed. On systems with sufficient amount of entropy gathered from the kernel entropy sources or systems with hardware RNGs, the system administrator can add the "/etc/gcrypt/rngseed" symbolic link pointing to the "/dev/random" device node or a hardware RNG device. This symbolic link will be then opened and read by the libgcrypt library to initialize its RNG.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 14:01:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0515 normal SHIPPED_LIVE libgcrypt enhancement update 2011-05-19 14:00:59 UTC

Description RHEL Product and Program Management 2011-05-10 14:06:13 UTC
This bug has been copied from bug #700388 and has been proposed
to be backported to 6.1 z-stream (EUS).

Comment 5 errata-xmlrpc 2011-05-19 14:01:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0515.html

Comment 6 Petr Kovar 2011-06-15 15:44:29 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In FIPS mode, libgcrypt can now use a configurable source of RNG (Random Number Generator) seed. On systems with sufficient amount of entropy gathered from the kernel entropy sources or systems with hardware RNGs, the system administrator can add the "/etc/gcrypt/rngseed" symbolic link pointing to the "/dev/random" device node or a hardware RNG device. This symbolic link will be then opened and read by the libgcrypt library to initialize its RNG.


Note You need to log in before you can comment on or make changes to this bug.